#!/bin/bash

. $1; shift

. ${client_dir:-./}/lib/config.sh

validate_dtr() {
    det_f=$1
    thresh_f=$2
    rec_a=$3

    #if mer
    if [ ! -z $rec_a ]; then
	temp_dir=`mktemp -d -t med_es_validation_XXXXX`
	tar -xzf $rec_a -C $temp_dir
	find $temp_dir -type f ! -name 'mer_listing' | sed 's:.*/::;/^$/d' >"$temp_dir/mer_listing"
	mer_arg="-m $temp_dir/mer_listing"
    fi
    
    perl ${client_dir:-./}/lib/validate_es_extra.pl -d $det_f -t $thresh_f -v "$resources_dir/${search_set}.csv" -e $event $mer_arg 1>&2
    check_ok
    
    if [ ! -z $rec_a ]; then
	find $temp_dir -type f -name '*.mer.xml' -print0 | xargs -0 -n100 xmllint -noout -schema $mer_schema 1>/dev/null 2>"$temp_dir/validation_log"
	code=$?
	if [ $code != 0 ]; then
	    echo "Error during validation, check validation log '$temp_dir/validation_log'"
	    exit $code
	fi
	rm -r "$temp_dir" # Only clean up $temp_dir if success
    fi
}

search_set=$1
event=$2
det_file=$3
thresh_file=$4
if [ $# == 5 ]; then
    hw_desc_file=$5
elif [ $# == 6 ]; then
    rec_archive=$5
    hw_desc_file=$6
else
    echo "Unexpected number of arguments" >&2
    exit 1
fi

validate_dtr $det_file $thresh_file $rec_archive

xmllint -noout -schema $cots_hw_desc_schema $hw_desc_file
check_ok

exit 0
