#!/bin/bash
### To run these tests, you need to modify the client.cfg file to have the following values ..
### prf="noPRF"
### mer="Yes"

this_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
client_dir="$this_dir/../"

echo "Full MED DryRun Test .."
echo "****"
$client_dir/client.sh reset_dr_tasks
sleep 1
echo "****"

$client_dir/client.sh rerun_ps_mg
sleep 1
echo "****"

$client_dir/client.sh next
sleep 1
echo "****"

$client_dir/client.sh check_out MG_Event-BG
sleep 1
echo "****"

$client_dir/client.sh check_in MG_Event-BG -h $client_dir/schemas/samples/sample_mg-hw_description.xml -m $client_dir/schemas/samples/sample_ms_info.xml
sleep 1
echo "****"

$client_dir/client.sh check_out MG_MED14-Test
sleep 1
echo "****"

$client_dir/client.sh check_in MG_MED14-Test -h $client_dir/schemas/samples/sample_mg-hw_description.xml -m $client_dir/schemas/samples/sample_ms_info.xml
sleep 1
echo "****"

$client_dir/client.sh check_out MG_PS-Training
sleep 1
echo "****"

$client_dir/client.sh check_in MG_PS-Training -h $client_dir/schemas/samples/sample_mg-hw_description.xml -m $client_dir/schemas/samples/sample_ms_info.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_SQG_E031
sleep 1
echo "****"

$client_dir/client.sh outstanding
sleep 1
echo "****"

$client_dir/client.sh check_in DR_SQG_E031 -h $client_dir/schemas/samples/sample_cots-hw_description.xml -s $client_dir/schemas/samples/sample_semantic_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_EQG_E031_000Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_EQG_E031_000Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -e $client_dir/schemas/samples/sample_event_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_SQG_E032
sleep 1
echo "****"

$client_dir/client.sh check_in DR_SQG_E032 -h $client_dir/schemas/samples/sample_cots-hw_description.xml -s $client_dir/schemas/samples/sample_semantic_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_SQG_E033
sleep 1
echo "****"

$client_dir/client.sh check_in DR_SQG_E033 -h $client_dir/schemas/samples/sample_cots-hw_description.xml -s $client_dir/schemas/samples/sample_semantic_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_SQG_E034
sleep 1
echo "****"

$client_dir/client.sh check_in DR_SQG_E034 -h $client_dir/schemas/samples/sample_cots-hw_description.xml -s $client_dir/schemas/samples/sample_semantic_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_SQG_E035
sleep 1
echo "****"

$client_dir/client.sh check_in DR_SQG_E035 -h $client_dir/schemas/samples/sample_cots-hw_description.xml -s $client_dir/schemas/samples/sample_semantic_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_EQG_E032_000Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_EQG_E032_000Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -e $client_dir/schemas/samples/sample_event_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_EQG_E033_000Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_EQG_E033_000Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -e $client_dir/schemas/samples/sample_event_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_EQG_E034_000Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_EQG_E034_000Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -e $client_dir/schemas/samples/sample_event_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_EQG_E035_000Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_EQG_E035_000Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -e $client_dir/schemas/samples/sample_event_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_EQG_E031_010Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_EQG_E031_010Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -e $client_dir/schemas/samples/sample_event_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_EQG_E032_010Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_EQG_E032_010Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -e $client_dir/schemas/samples/sample_event_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_EQG_E033_010Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_EQG_E033_010Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -e $client_dir/schemas/samples/sample_event_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_EQG_E034_010Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_EQG_E034_010Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -e $client_dir/schemas/samples/sample_event_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_EQG_E035_010Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_EQG_E035_010Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -e $client_dir/schemas/samples/sample_event_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_EQG_E031_100Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_EQG_E031_100Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -e $client_dir/schemas/samples/sample_event_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_EQG_E032_100Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_EQG_E032_100Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -e $client_dir/schemas/samples/sample_event_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_EQG_E033_100Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_EQG_E033_100Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -e $client_dir/schemas/samples/sample_event_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_EQG_E034_100Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_EQG_E034_100Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -e $client_dir/schemas/samples/sample_event_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_EQG_E035_100Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_EQG_E035_100Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -e $client_dir/schemas/samples/sample_event_query.xml
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E031_SQ
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E031_SQ -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E031.csv -t $client_dir/tests/test_dr_threshold_E031.csv -r $client_dir/tests/test_dr_recountings_E031.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E032_SQ
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E032_SQ -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E032.csv -t $client_dir/tests/test_dr_threshold_E032.csv -r $client_dir/tests/test_dr_recountings_E032.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E033_SQ
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E033_SQ -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E033.csv -t $client_dir/tests/test_dr_threshold_E033.csv -r $client_dir/tests/test_dr_recountings_E033.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E034_SQ
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E034_SQ -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E034.csv -t $client_dir/tests/test_dr_threshold_E034.csv -r $client_dir/tests/test_dr_recountings_E034.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E035_SQ
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E035_SQ -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E035.csv -t $client_dir/tests/test_dr_threshold_E035.csv -r $client_dir/tests/test_dr_recountings_E035.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E031_000Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E031_000Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E031.csv -t $client_dir/tests/test_dr_threshold_E031.csv -r $client_dir/tests/test_dr_recountings_E031.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E032_000Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E032_000Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E032.csv -t $client_dir/tests/test_dr_threshold_E032.csv -r $client_dir/tests/test_dr_recountings_E032.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E033_000Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E033_000Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E033.csv -t $client_dir/tests/test_dr_threshold_E033.csv -r $client_dir/tests/test_dr_recountings_E033.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E034_000Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E034_000Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E034.csv -t $client_dir/tests/test_dr_threshold_E034.csv -r $client_dir/tests/test_dr_recountings_E034.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E035_000Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E035_000Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E035.csv -t $client_dir/tests/test_dr_threshold_E035.csv -r $client_dir/tests/test_dr_recountings_E035.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E031_010Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E031_010Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E031.csv -t $client_dir/tests/test_dr_threshold_E031.csv -r $client_dir/tests/test_dr_recountings_E031.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E032_010Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E032_010Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E032.csv -t $client_dir/tests/test_dr_threshold_E032.csv -r $client_dir/tests/test_dr_recountings_E032.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E033_010Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E033_010Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E033.csv -t $client_dir/tests/test_dr_threshold_E033.csv -r $client_dir/tests/test_dr_recountings_E033.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E034_010Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E034_010Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E034.csv -t $client_dir/tests/test_dr_threshold_E034.csv -r $client_dir/tests/test_dr_recountings_E034.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E035_010Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E035_010Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E035.csv -t $client_dir/tests/test_dr_threshold_E035.csv -r $client_dir/tests/test_dr_recountings_E035.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E031_100Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E031_100Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E031.csv -t $client_dir/tests/test_dr_threshold_E031.csv -r $client_dir/tests/test_dr_recountings_E031.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E032_100Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E032_100Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E032.csv -t $client_dir/tests/test_dr_threshold_E032.csv -r $client_dir/tests/test_dr_recountings_E032.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E033_100Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E033_100Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E033.csv -t $client_dir/tests/test_dr_threshold_E033.csv -r $client_dir/tests/test_dr_recountings_E033.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E034_100Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E034_100Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E034.csv -t $client_dir/tests/test_dr_threshold_E034.csv -r $client_dir/tests/test_dr_recountings_E034.tgz
sleep 1
echo "****"

$client_dir/client.sh check_out DR_ES_E035_100Ex
sleep 1
echo "****"

$client_dir/client.sh check_in DR_ES_E035_100Ex -h $client_dir/schemas/samples/sample_cots-hw_description.xml -d $client_dir/tests/test_dr_detections_E035.csv -t $client_dir/tests/test_dr_threshold_E035.csv -r $client_dir/tests/test_dr_recountings_E035.tgz
sleep 1
echo "****"

$client_dir/client.sh up_sysdesc -S $client_dir/README
sleep 1
echo "****"

$client_dir/client.sh reset_dr_tasks
sleep 1
echo "****"

$client_dir/client.sh rerun_ps_mg
sleep 1
echo "****"

